=== debian/changelog ===
docker.io-app (26.1.3-0ubuntu2) plucky; urgency=medium

  * SECURITY UPDATE: authz plugin bypass causes privilege escalation
    - debian/patches/CVE-2024-41110-1.patch: Authz plugin security fixes
      for 0-length content and path validation
    - debian/patches/CVE-2024-41110-2.patch: If url includes scheme,
      urlPath will drop hostname, which would not match the auth check
    - CVE-2024-41110

 -- Vyom Yadav <vyom.yadav@canonical.com>  Thu, 12 Dec 2024 17:32:57 +0530

docker.io-app (26.1.3-0ubuntu1) oracular; urgency=medium

  * New upstream release.
    - Allow runc to kill containers when confined to the runc profile in
      AppArmor version 4.0.0 and later.
  * d/helpers/build-manpages.sh: build manpages with Go 1.21.
  * d/manpages: update them all.
  * d/docker.io.docs: remove NOTICE file of a dependency removed from cli.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 04 Jun 2024 18:01:29 -0300
