## docker.io-app 27.5.1

=== debian/changelog ===
docker.io-app (27.5.1-0ubuntu3~24.04.2) noble-security; urgency=medium

  * No-change rebuild to copy previous update to the security pocket.

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Mon, 02 Jun 2025 09:21:53 -0230

docker.io-app (27.5.1-0ubuntu3~24.04.1) noble; urgency=medium

  * Backport from plucky to noble (LP: #2085187)
  * d/control: build with golang 1.22 for consistency across the supported
    release
  * d/rules: add golang 1.22 to PATH
  * d/t/docker-in-lxd: workaround Apparmor/kernel bug (LP #2067900)
  * d/docker.io.postinst: notify when a reboot is required to reload the
    AppArmor profile (LP #2065423).

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 01 Apr 2025 11:11:56 -0300

docker.io-app (27.5.1-0ubuntu3) plucky; urgency=medium

  * d/control: set a version for the docker-cli Provides

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 25 Feb 2025 08:04:14 -0300

docker.io-app (27.5.1-0ubuntu2) plucky; urgency=medium

  * d/control: provides docker-cli (LP: #2099941)

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Mon, 24 Feb 2025 17:53:24 -0300

docker.io-app (27.5.1-0ubuntu1) plucky; urgency=medium

  * New upstream version 27.5.1 (LP: #2085187)
  * d/control: build with golang 1.24 (LP: #2098661)
  * d/rules: add golang 1.24 to PATH
  * d/patches: drop patches for CVE-2024-41110. Fixed upstream
  * d/helpers/build-manpages.sh: build manpages with Go 1.24
  * d/manpages/*: update manpages for version 27.5.1
  * d/docker.io.docs: update NOTICE files

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 18 Feb 2025 09:30:29 -0300
