=== debian/rules ===
--- 
+++ 
@@ -36,9 +36,9 @@
 	# use "dh_golang" to generate "misc:Built-Using" (via "go list")
 	DH_GOLANG_BUILDPKG=' \
 		-tags "$(DOCKER_BUILDTAGS)" \
-		github.com/docker/docker/cmd/dockerd \
+		github.com/moby/moby/v2/cmd/dockerd \
 		github.com/docker/cli/cmd/docker \
-		github.com/docker/docker/cmd/docker-proxy \
+		github.com/moby/moby/v2/cmd/docker-proxy \
 	' dh_golang --builddirectory='$(OUR_GOPATH:$(CURDIR)/%=%)'
 	dh_gencontrol
 
@@ -48,10 +48,12 @@
 	mkdir -p '$(OUR_GOPATH)/src/github.com/docker'
 	ln -sfT '$(CURDIR)/cli' '$(OUR_GOPATH)/src/github.com/docker/cli'
 	# engine
-	mkdir -p '$(OUR_GOPATH)/src/github.com/docker'
-	ln -sfT '$(CURDIR)/engine' '$(OUR_GOPATH)/src/github.com/docker/docker'
+	mkdir -p '$(OUR_GOPATH)/src/github.com/moby/moby'
+	ln -sfT '$(CURDIR)/engine' '$(OUR_GOPATH)/src/github.com/moby/moby/v2'
+	# vendorize docker-trust dependencies
+	ln -sfT '$(CURDIR)/debian/extra/vendor' '$(CURDIR)/cli/cmd/docker-trust/vendor'
 
-override_dh_auto_build: _check-manpages _build-tini _build-proxy _build-cli _build-engine
+override_dh_auto_build: _check-manpages _build-tini _build-proxy _build-cli _build-engine _build-trust-plugin
 	@#
 
 # several "supporting binaries" need to be built and installed
@@ -64,7 +66,7 @@
 		&& make tini-static
 
 _build-proxy: # (from libnetwork)
-	go build -o libnetwork/docker-proxy github.com/docker/docker/cmd/docker-proxy
+	go build -o libnetwork/docker-proxy github.com/moby/moby/v2/cmd/docker-proxy
 
 _build-cli:
 	DISABLE_WARN_OUTSIDE_CONTAINER=1 \
@@ -73,6 +75,14 @@
 			VERSION='$(VERSION)' \
 			GITCOMMIT='$(DOCKER_GITCOMMIT)' \
 			dynbinary
+
+_build-trust-plugin:
+	DISABLE_WARN_OUTSIDE_CONTAINER=1 \
+		make -C cli \
+			LDFLAGS='' \
+			VERSION='$(VERSION)' \
+			GITCOMMIT='$(DOCKER_GITCOMMIT)' \
+			trust-plugin
 
 _check-manpages:
 ifeq ($(VERSION), $(MANPAGES_VERSION))
@@ -96,6 +106,8 @@
 	./cli/build/docker --version
 	# engine
 	./engine/bundles/dynbinary-daemon/dockerd --version
+	# docker-trust plugin (no version command)
+	cli/build/docker-trust --help
 
 override_dh_auto_install:
 	# we use dh_install / dh-exec for installing files where they need to be
@@ -127,6 +139,7 @@
 
 override_dh_auto_clean:
 	@# stop debhelper from doing "make clean"
+	rm -rf $(CURDIR)/cli/cmd/docker-trust/vendor
 
 override_dh_dwz:
 	# do not call dh_dwz to avoid "dwz: Too few files for multifile optimization"
