## docker.io-app 29.1.3

=== debian/changelog ===
docker.io-app (29.1.3-0ubuntu1) resolute; urgency=medium

  * New upstream version 29.1.3
  * d/manpages/*: update manpages for version 29.1.3
  * d/docker.io.docs: update NOTICE files

 -- Athos Ribeiro <athos@ubuntu.com>  Tue, 06 Jan 2026 14:14:59 -0300
