=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
                libbtrfs-dev | btrfs-progs (<< 4.16.1~),
                libdevmapper-dev (>= 2:1.02.68~),
                libltdl-dev,
+               libnftables-dev,
                libseccomp-dev,
                libsystemd-dev (>= 209~),
                pkg-config,
